Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`base``

module documentation
(source)

Very basic functionality for a Reactor implementation.

Class | `BaseConnector` | Basic implementation of `IConnector`.
Class | `BasePort` | Basic implementation of a ListeningPort.
Class | `BlockingResolver` | Undocumented
Class | `DelayedCall` | No class docstring; 0/11 instance variable, 0/2 class variable, 9/10 methods documented
Class | `PluggableResolverMixin` | A mixin which implements the pluggable resolver reactor interfaces.
Class | `ReactorBase` | Default base class for Reactors.
Class | `ThreadedResolver` | `ThreadedResolver` uses a reactor, a threadpool, and `socket.gethostbyname` to perform name lookups without blocking the reactor thread. It also supports timeouts indepedently from whatever timeout logic ...
Class | `_ThreePhaseEvent` | Collection of callables (with arguments) which can be invoked as a group in a particular order.
Type Alias | `_ThreadCall` | Undocumented
Type Alias | `_ThreePhaseEventTrigger` | Undocumented
Type Alias | `_ThreePhaseEventTriggerCallable` | Undocumented
Variable | `_SystemEventID` | Undocumented
Variable | `_ThreePhaseEventTriggerHandle` | Undocumented

_ThreadCall = (source)

Undocumented

Value

    Tuple[Callable[..., Any], Tuple[object, ...], Dict[str, object]]

_ThreePhaseEventTrigger = (source)

Undocumented

Value

    Tuple[_ThreePhaseEventTriggerCallable, Tuple[object, ...], Dict[str, object]]

_ThreePhaseEventTriggerCallable = (source)

Undocumented

Value

    Callable[..., Any]

_SystemEventID = (source)

Undocumented

_ThreePhaseEventTriggerHandle = (source)

Undocumented